Package gov.nasa.gsfc.sscweb.schema

# Class BFieldTraceOptions

java.lang.Object
gov.nasa.gsfc.sscweb.schema.BFieldTraceOptions

public class BFieldTraceOptions extends Object
B-field trace listing options. <p>Java class for BFieldTraceOptions complex type</p>. <p>The following schema fragment specifies the expected content contained within this class.</p> <pre>{@code <complexType name="BFieldTraceOptions"> <complexContent> <restriction base="{http://www.w3.org/2001/XMLSchema}anyType"> <sequence> <element name="CoordinateSystem" type="{http://sscweb.gsfc.nasa.gov/schema}CoordinateSystem"/> <element name="Hemisphere" type="{http://sscweb.gsfc.nasa.gov/schema}Hemisphere"/> <element name="FootpointLatitude" type="{http://www.w3.org/2001/XMLSchema}boolean"/> <element name="FootpointLongitude" type="{http://www.w3.org/2001/XMLSchema}boolean"/> <element name="FieldLineLength" type="{http://www.w3.org/2001/XMLSchema}boolean"/> </sequence> </restriction> </complexContent> </complexType> }</pre>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected CoordinateSystem`
  `coordinateSystem`
  Specifies the coordinate system
  `protected boolean`
  `fieldLineLength`
  Specifies whether the field line length values are to be included in the listing.
  `protected boolean`
  `footpointLatitude`
  Specifies whether the footpoint latitude value are to be included in the listing.
  `protected boolean`
  `footpointLongitude`
  Specifies whether the footpoint longitude value are to be included in the listing.
  `protected Hemisphere`
  `hemisphere`
  Magnetic hemisphere.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BFieldTraceOptions()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CoordinateSystem`
  `getCoordinateSystem()`
  Specifies the coordinate system
  `Hemisphere`
  `getHemisphere()`
  Magnetic hemisphere.
  `boolean`
  `isFieldLineLength()`
  Specifies whether the field line length values are to be included in the listing.
  `boolean`
  `isFootpointLatitude()`
  Specifies whether the footpoint latitude value are to be included in the listing.
  `boolean`
  `isFootpointLongitude()`
  Specifies whether the footpoint longitude value are to be included in the listing.
  `void`
  `setCoordinateSystem(CoordinateSystem value)`
  Sets the value of the coordinateSystem property.
  `void`
  `setFieldLineLength(boolean value)`
  Sets the value of the fieldLineLength property.
  `void`
  `setFootpointLatitude(boolean value)`
  Sets the value of the footpointLatitude property.
  `void`
  `setFootpointLongitude(boolean value)`
  Sets the value of the footpointLongitude property.
  `void`
  `setHemisphere(Hemisphere value)`
  Sets the value of the hemisphere property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### coordinateSystem

    protected CoordinateSystem coordinateSystem
    Specifies the coordinate system

  - ### hemisphere

    protected Hemisphere hemisphere
    Magnetic hemisphere.

  - ### footpointLatitude

    protected boolean footpointLatitude
    Specifies whether the footpoint latitude value are to be included in the listing.

  - ### footpointLongitude

    protected boolean footpointLongitude
    Specifies whether the footpoint longitude value are to be included in the listing.

  - ### fieldLineLength

    protected boolean fieldLineLength
    Specifies whether the field line length values are to be included in the listing.

- ## Constructor Details

  - ### BFieldTraceOptions

    public BFieldTraceOptions()

- ## Method Details

  - ### getCoordinateSystem

    public CoordinateSystem getCoordinateSystem()
    Specifies the coordinate system
    Returns:
      possible object is `CoordinateSystem`

  - ### setCoordinateSystem

    public void setCoordinateSystem(CoordinateSystem value)
    Sets the value of the coordinateSystem property.
    Parameters:
      `value` - allowed object is `CoordinateSystem`
    See Also:
      - `getCoordinateSystem()`

  - ### getHemisphere

    public Hemisphere getHemisphere()
    Magnetic hemisphere.
    Returns:
      possible object is `Hemisphere`

  - ### setHemisphere

    public void setHemisphere(Hemisphere value)
    Sets the value of the hemisphere property.
    Parameters:
      `value` - allowed object is `Hemisphere`
    See Also:
      - `getHemisphere()`

  - ### isFootpointLatitude

    public boolean isFootpointLatitude()
    Specifies whether the footpoint latitude value are to be included in the listing.

  - ### setFootpointLatitude

    public void setFootpointLatitude(boolean value)
    Sets the value of the footpointLatitude property.

  - ### isFootpointLongitude

    public boolean isFootpointLongitude()
    Specifies whether the footpoint longitude value are to be included in the listing.

  - ### setFootpointLongitude

    public void setFootpointLongitude(boolean value)
    Sets the value of the footpointLongitude property.

  - ### isFieldLineLength

    public boolean isFieldLineLength()
    Specifies whether the field line length values are to be included in the listing.

  - ### setFieldLineLength

    public void setFieldLineLength(boolean value)
    Sets the value of the fieldLineLength property.